/*
 * Copyright (C) 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#include "embeddingplugin.h"

#include <iostream>

int main()
{
    EmbeddingEnginePlugin p;
    std::unique_ptr<ai_engine::core_ai::embedding::AbstractEmbeddingEngine> engine = p.createEmbeddingEngine();
    // 由于plugin只是起一个中介的作用，所以这里测试代码较少
    std::string info = engine->modelInfo();
    std::cout << "modelInfo:" << info << std::endl;
    std::cout << "Hello world!" << std::endl;
    return 0;
}